﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            cdurum.Items.Add("Alış");
            cdurum.Items.Add("Satış");
            dosyaoku();
        }

        int[] alisf;
        int[] satisf;

        private void dosyaoku()
        {

            curun.Items.Clear(); // urun combo bosaltildi

            try
            {
                string[] veriler = File.ReadAllLines("urunler.txt");

                //MessageBox.Show(veriler.Length.ToString());

                if (veriler.Length > 0)
                {
                    // okunan satir uzunlugunda bir dizi olusturacak (alis ve satis fiyati icin)
                    alisf = new int[veriler.Length];
                    satisf = new int[veriler.Length];
                    char[] ch = new char[1] { ';' };

                    int sira=0; // satir sirasindan bagimsiz sayac

                    for (int satir = 0; satir < veriler.Length; satir++)
                    {
                        string[] parcalar = veriler[satir].Split(ch);
                        if (parcalar.Length == 3)
                        { 
                            // 0. parca urunadi
                            // 1. alis fiyati
                            // 2. satis fiyati

                            int alis, satis;
                            bool talis = Int32.TryParse(parcalar[1], out alis);
                            bool tsatis = Int32.TryParse(parcalar[2], out satis);

                            if (talis && tsatis && parcalar[0].Length > 0)
                            { 
                             // ekleme islemlerini yap yoksa sonrakine gec
                                curun.Items.Add(parcalar[0]); // ismi ekledik
                                alisf[sira] = alis;
                                satisf[sira++] = satis;
                            
                            }

                        
                        }
                    
                    
                    }

                }
                else
                {
                    MessageBox.Show("Ürünler dosyadan yüklenemedi!");
                }


                curun.Text = "Seçiniz";
                cdurum.Text = "Seçiniz";
                label2.Text = "0 TL";

            }
            catch {
                MessageBox.Show("Dosya bulunamadığı için ürünler dosyadan yüklenemedi!");
            
            }

        
        
        }



        private void toplamhesapla()
        {

            int sayi = lurun.Items.Count; // kac adet bilgi girisi yapildigini verecek
            int toplam = 0;

            for(int say=0; say<sayi ; say++)
            {
                // ldurum.Items[x] -> x satirinin icerigi getirir
                if(ldurum.Items[say].ToString() == "Alış")
                    // alis
                    toplam-=Convert.ToInt32(ltutar.Items[say].ToString());
                else
                // satis
                    toplam += Convert.ToInt32(ltutar.Items[say].ToString());
            }

            label2.Text = toplam + " TL";
        
        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int miktar;
            bool testmiktar = Int32.TryParse(tmiktar.Text, out miktar); // miktar bilgisi sayisal mi?
            if (testmiktar && curun.SelectedIndex > -1 && cdurum.SelectedIndex > -1)
            {
                lurun.Items.Add(curun.Text); // urun bilgisini listbox a ekledik
                lmiktar.Items.Add(tmiktar.Text);
                ldurum.Items.Add(cdurum.Text);
                int tutar = 0;

                int secilenurun = curun.SelectedIndex;  // secilen urunun index i 
                
                if(cdurum.SelectedIndex==0) 
                    // alis
                    tutar=miktar*alisf[secilenurun]; // urunun alis fiyati
                else
                    // satis
                    tutar = miktar * satisf[secilenurun]; // urunun satis fiyati

                ltutar.Items.Add(tutar.ToString());

                curun.Text = "Seçiniz";
                tmiktar.Text = "";
                cdurum.Text = "Seçiniz";
                toplamhesapla();

            }



        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lurun.SelectedIndex; // secilen satir lurun de
            if (secilen > -1) // secili bir bilgi/satir olmali
            {
                lurun.Items.RemoveAt(secilen); 
                ltutar.Items.RemoveAt(secilen);
                ldurum.Items.RemoveAt(secilen);
                lmiktar.Items.RemoveAt(secilen);
                toplamhesapla();
            }
        }

        private void bkaydet_Click(object sender, EventArgs e)
        {
            string veri = "";

            try
            {
                for (int sayac = 0; sayac < lurun.Items.Count; sayac++)
                {
                    veri += lurun.Items[sayac] + ";" + lmiktar.Items[sayac] + ";" + ldurum.Items[sayac] + ";" + ltutar.Items[sayac] + "\n";
                }

                File.WriteAllText("cikti.txt", veri);
                MessageBox.Show("Listeler Kaydedildi!");
            }
            catch {
                MessageBox.Show("Listeler Kaydedilemedi!");
            }

        }

        private void lurun_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender; // secilen listbox --> sender. sender bilgisi listbox a donusturuluyor
            int secilen = lb.SelectedIndex;  // secilen listbox in satir bilgisi aliniyor
            
            lurun.SelectedIndex = secilen;
            ldurum.SelectedIndex = secilen;
            lmiktar.SelectedIndex = secilen;
            ltutar.SelectedIndex = secilen;
        }

    }
}
